## qbittorrent 3.3.6

=== src/app/CMakeLists.txt ===
project(qbt_executable)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

set(QBT_APP_HEADERS
application.h
filelogger.h
)

set(QBT_APP_SOURCES
application.cpp
filelogger.cpp
main.cpp
)

# translations
file(GLOB QBT_TS_FILES ../lang/*.ts)
get_filename_component(QBT_QM_FILES_BINARY_DIR "${CMAKE_CURRENT_BINARY_DIR}/../lang" ABSOLUTE)
set_source_files_properties(${QBT_TS_FILES} PROPERTIES OUTPUT_LOCATION "${QBT_QM_FILES_BINARY_DIR}")

if (QT5)
    find_package(Qt5 COMPONENTS LinguistTools REQUIRED)
    qt5_add_translation(QBT_QM_FILES ${QBT_TS_FILES})
else (QT5)
    qt4_add_translation(QBT_QM_FILES ${QBT_TS_FILES})
endif (QT5)

get_filename_component(_lang_qrc_src "${CMAKE_CURRENT_SOURCE_DIR}/../lang.qrc" ABSOLUTE)
get_filename_component(_lang_qrc_dst "${CMAKE_CURRENT_BINARY_DIR}/../lang.qrc" ABSOLUTE)
get_filename_component(_lang_qrc_dst_dir "${CMAKE_CURRENT_BINARY_DIR}/../" ABSOLUTE)

message(STATUS "copying ${_lang_qrc_src} -> ${_lang_qrc_dst}")
file(COPY ${_lang_qrc_src} DESTINATION ${_lang_qrc_dst_dir})

set_source_files_properties("${_lang_qrc_dst}" PROPERTIES GENERATED True)
foreach(qm_file ${QBT_QM_FILES})
    set_source_files_properties("${_lang_qrc_dst}" PROPERTIES OBJECT_DEPENDS ${qm_file})
endforeach()

set(QBT_APP_RESOURCES
../icons.qrc
"${_lang_qrc_dst}"
)

# With AUTORCC rcc is ran by cmake before language files are generated,
# and thus we call rcc explicitly
if (QT5)
    qt5_add_resources(QBT_APP_RESOURCE_SOURCE ${QBT_APP_RESOURCES})
else (QT5)
    qt4_add_resources(QBT_APP_RESOURCE_SOURCE ${QBT_APP_RESOURCES})
endif (QT5)

if (WIN32)
    if (MINGW)
        list (APPEND QBT_APP_SOURCES ../qbittorrent_mingw.rc)
    else (MINGW)
        list (APPEND QBT_APP_SOURCES ../qbittorrent.rc)
    endif (MINGW)
endif (WIN32)

if (UNIX)
    list(APPEND QBT_APP_HEADERS stacktrace.h)
endif (UNIX)

if (STACKTRACE_WIN)
    list(APPEND QBT_APP_HEADERS stacktrace_win.h)
    if (GUI)
        list(APPEND QBT_APP_HEADERS stacktrace_win_dlg.h)
    endif (GUI)
endif (STACKTRACE_WIN)

# usesystemqtsingleapplication {
#     nogui {
#         CONFIG += qtsinglecoreapplication
#     } else {
#         CONFIG += qtsingleapplication
#     }
# } else {
#     nogui {
#         include(qtsingleapplication/qtsinglecoreapplication.pri)
#     } else {
#         include(qtsingleapplication/qtsingleapplication.pri)
#     }
# }

# upgrade code
list(APPEND QBT_APP_HEADERS upgrade.h)
list(APPEND QBT_TARGET_LIBRARIES qbt_base)

if (GUI)
    list(APPEND QBT_TARGET_LIBRARIES qbt_searchengine qbt_gui)
    include_directories(../gui
        ${CMAKE_CURRENT_BINARY_DIR}/../gui
    )
endif (GUI)

if (WEBUI)
    list(APPEND QBT_TARGET_LIBRARIES qbt_webui)
endif (WEBUI)

# we have to include resources into the bundle
if (APPLE)
    set(OSX_RES_SRC_DIR "${qBittorrent_SOURCE_DIR}/dist/mac")
    list(APPEND QBT_APP_RESOURCE_SOURCE
        "${OSX_RES_SRC_DIR}/qt.conf"
        "${OSX_RES_SRC_DIR}/qBitTorrentDocument.icns"
        "${OSX_RES_SRC_DIR}/qbittorrent_mac.icns")
    set_source_files_properties(
        "${OSX_RES_SRC_DIR}/qt.conf"
        "${OSX_RES_SRC_DIR}/qBitTorrentDocument.icns"
        "${OSX_RES_SRC_DIR}/qbittorrent_mac.icns"
        PROPERTIES
            MACOSX_PACKAGE_LOCATION Resources)
    set(QT_TR_DIR "${qBittorrent_SOURCE_DIR}/dist/qt-translations")
    set(QT_TRANSLATIONS
        ${QT_TR_DIR}/qt_ar.qm
        ${QT_TR_DIR}/qt_bg.qm
        ${QT_TR_DIR}/qt_ca.qm
        ${QT_TR_DIR}/qt_cs.qm
        ${QT_TR_DIR}/qt_da.qm
        ${QT_TR_DIR}/qt_de.qm
        ${QT_TR_DIR}/qt_es.qm
        ${QT_TR_DIR}/qt_eu.qm
        ${QT_TR_DIR}/qt_fi.qm
        ${QT_TR_DIR}/qt_fr.qm
        ${QT_TR_DIR}/qt_gl.qm
        ${QT_TR_DIR}/qt_he.qm
        ${QT_TR_DIR}/qt_hu.qm
        ${QT_TR_DIR}/qt_it.qm
        ${QT_TR_DIR}/qt_ja.qm
        ${QT_TR_DIR}/qt_ko.qm
        ${QT_TR_DIR}/qt_lt.qm
        ${QT_TR_DIR}/qt_nl.qm
        ${QT_TR_DIR}/qt_pl.qm
        ${QT_TR_DIR}/qt_pt.qm
        ${QT_TR_DIR}/qt_pt_BR.qm
        ${QT_TR_DIR}/qt_ru.qm
        ${QT_TR_DIR}/qt_sk.qm
        ${QT_TR_DIR}/qt_sv.qm
        ${QT_TR_DIR}/qt_tr.qm
        ${QT_TR_DIR}/qt_uk.qm
        ${QT_TR_DIR}/qt_zh_CN.qm
        ${QT_TR_DIR}/qt_zh_TW.qm
    )
    list(APPEND QBT_APP_RESOURCE_SOURCE ${QT_TRANSLATIONS})
    set_source_files_properties(${QT_TRANSLATIONS}
        PROPERTIES MACOSX_PACKAGE_LOCATION translations)
endif (APPLE)

add_executable(${QBT_TARGET_NAME} ${QBT_APP_HEADERS} ${QBT_APP_SOURCES} ${QBT_QM_FILES} ${QBT_APP_RESOURCE_SOURCE})
set_target_properties(${QBT_TARGET_NAME}
    PROPERTIES
        AUTOUIC True
        AUTORCC True
        MACOSX_BUNDLE True
)

if (GUI AND WIN32)
    set_target_properties(${QBT_TARGET_NAME} PROPERTIES WIN32_EXECUTABLE True)
endif (GUI AND WIN32)

target_link_libraries(${QBT_TARGET_NAME} ${QBT_TARGET_LIBRARIES} QtSingleApplication::QtSingleApplication)

if (APPLE)
    set(qbt_BUNDLE_NAME "${CMAKE_PROJECT_NAME}")
    set_target_properties(${QBT_TARGET_NAME} PROPERTIES
        MACOSX_BUNDLE_BUNDLE_NAME "${qbt_BUNDLE_NAME}"
        MACOSX_BUNDLE_INFO_PLIST ${qBittorrent_SOURCE_DIR}/dist/mac/Info.plist
    )
endif (APPLE)

# installation
install(TARGETS ${QBT_TARGET_NAME}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    BUNDLE  DESTINATION .
    COMPONENT runtime)

if (APPLE)
    install(SCRIPT ${OSX_RES_SRC_DIR}/bundle.cmake)
endif (APPLE)

=== src/gui/lineedit/CMakeLists.txt ===
set(QBT_LINEEDIT_SOURCES
src/lineedit.cpp
)

set(QBT_LINEEDIT_HEADERS
src/lineedit.h
)

set(QBT_LINEEDIT_RESOURCES
resources/lineeditimages.qrc
)

add_library(qbt_lineedit STATIC ${QBT_LINEEDIT_SOURCES} ${QBT_LINEEDIT_HEADERS})
if (QT4_FOUND)
    target_link_libraries(qbt_lineedit Qt4::QtGui)
else (QT4_FOUND)
    target_link_libraries(qbt_lineedit Qt5::Widgets)
endif (QT4_FOUND)

qbt_target_sources(${QBT_LINEEDIT_RESOURCES})

## qbittorrent 2.2.5

=== debian/changelog ===
qbittorrent (2.2.5-1) unstable; urgency=low

  * New upstream version.
    - fix FTBFS with binutils-gold. (Closes: #556300).
  * debian/patches:
    - drop all previous patches as they are now fixed upstream.
      + r3729_delete_after_pause.patch
      + revert_binutils_gold.patch (see above)
    - added new patch, pulled from upstream svn r3826 (avoid to link
      qbittorrent-nox against unneeded boost libraries).
      + r3826_drop_nox_boost_deps.patch
  * debian/{control,rules}: rely on debhelper (>= 7.4.12) and clean up
    debian/rules a bit using features from the qmake buildsystem.
  * debian/control: add specific build-deps on boost libraries (don't
    rely on libtorrent-rasterbar-dev's dependencies).

 -- Cristian Greco <cristian@regolo.cc>  Fri, 09 Apr 2010 20:05:35 +0200

qbittorrent (2.2.2-1) unstable; urgency=low

  * New upstream version.
  * debian/patches:
    - r3710_robust_resume.patch, deleted (fixed in this release).
    - r3729_delete_after_pause.patch, new patch from svn r3729 (fix
      possible crash when deleting a torrent just after pausing it).

 -- Cristian Greco <cristian@regolo.cc>  Wed, 24 Mar 2010 16:41:03 +0100

qbittorrent (2.2.1-1) unstable; urgency=low

  * New upstream version.
  * debian/patches/r3710_robust_resume.patch: taken from upstream commit
    r3710, save fast resume data every 3 minutes to improve resume
    robustness.

 -- Cristian Greco <cristian@regolo.cc>  Sun, 21 Mar 2010 01:36:12 +0100

qbittorrent (2.2.0-1) unstable; urgency=low

  * New upstream version.

 -- Cristian Greco <cristian@regolo.cc>  Mon, 15 Mar 2010 20:59:41 +0100

qbittorrent (2.1.6-1) unstable; urgency=low

  * New upstream version.

 -- Cristian Greco <cristian@regolo.cc>  Thu, 04 Mar 2010 13:15:28 +0100

qbittorrent (2.1.5-1) unstable; urgency=low

  * New upstream version.
    - Fix action on selected torrents - should fix problems with deleting
      the wrong selected torrents (Closes: #568944).
  * debian/control: bump build-dep on libtorrent-rasterbar (>= 0.14.9).
  * debian/patches/revert_binutils_gold.patch: new patch, revert upstream
    changes which try to fix #556300 (FTBFS against binutils-gold) because
    (1) the bug should really fixed in libtorrent-rasterbar and (2) using
    `pkg-config --static` results in unneeded dependencies addition.

 -- Cristian Greco <cristian@regolo.cc>  Tue, 02 Mar 2010 17:40:10 +0100

qbittorrent (2.1.4-1) unstable; urgency=low

  * New upstream version.

 -- Cristian Greco <cristian@regolo.cc>  Mon, 08 Feb 2010 21:53:07 +0100

qbittorrent (2.1.3-1) unstable; urgency=low

  * New upstream version.
  * debian/NEWS: fix debian-news-entry-without-blank-line.
  * debian/control: bump up standards-version to 3.8.4 (no changes).

 -- Cristian Greco <cristian@regolo.cc>  Fri, 05 Feb 2010 11:46:36 +0100

qbittorrent (2.1.2-1) unstable; urgency=low

  * New upstream version.
  * qbittorrent_nox_qtxml.patch: deleted, fixed upstream.

 -- Cristian Greco <cristian@regolo.cc>  Sun, 24 Jan 2010 19:56:47 +0100

qbittorrent (2.1.0-1) unstable; urgency=low

  * New upstream version.
  * debian/{control,rules}: build new qbittorrent-nox package with
    headless client.
  * qbittorrent_nox_qtxml.patch: new patch, qbittorrent-nox doesn't need
    to link against libqt4-xml.
  * debian/NEWS: information about relevant changes with this new version.
  * debian/qbittorrent-nox.README.Debian: information about the WebUI for
    qbittorrent-nox package.
  * debian/copyright: updated.

 -- Cristian Greco <cristian@regolo.cc>  Wed, 20 Jan 2010 00:53:20 +0100

qbittorrent (2.0.7-1) unstable; urgency=low

  * New upstream version.

 -- Cristian Greco <cristian@regolo.cc>  Mon, 11 Jan 2010 23:49:52 +0100

qbittorrent (2.0.6-1) unstable; urgency=low

  * New upstream version.
  * debian/control: update package description to specify IPv6 support.

 -- Cristian Greco <cristian@regolo.cc>  Sat, 09 Jan 2010 11:37:54 +0100

qbittorrent (2.0.5-1) unstable; urgency=low

  * New upstream version.
    - fix crash with downloaded/availability bars when the torrent
      has too many pieces. (Closes: #561915)
  * debian/control: update package description. (Closes: #563088)

 -- Cristian Greco <cristian@regolo.cc>  Fri, 01 Jan 2010 13:22:05 +0100

qbittorrent (2.0.4-1) unstable; urgency=low

  * New upstream version.
  * debian/copyright: updated catalan translation.

 -- Cristian Greco <cristian@regolo.cc>  Wed, 30 Dec 2009 18:50:49 +0100

qbittorrent (2.0.3-1) unstable; urgency=low

  * New upstream version.
  * debian/copyright: updated spanish translation.

 -- Cristian Greco <cristian@regolo.cc>  Fri, 25 Dec 2009 17:13:41 +0100

qbittorrent (2.0.0-1) unstable; urgency=low

  * New upstream version.
  * debian/copyright: updated.

 -- Cristian Greco <cristian@regolo.cc>  Sun, 13 Dec 2009 21:14:39 +0100

qbittorrent (2.0.0~rc6-1) unstable; urgency=low

  * New upstream version.
  * debian/control:
    - drop some (now unneded) build-deps.
    - add dependency on geoip-database.

 -- Cristian Greco <cristian@regolo.cc>  Tue, 08 Dec 2009 10:15:01 +0100

qbittorrent (1.5.6-1) unstable; urgency=low

  * New upstream version.
    - Improved ETA calculation for big torrents. (Closes: #556278) 
  * Convert to 3.0 (quilt) source format.

 -- Cristian Greco <cristian@regolo.cc>  Wed, 25 Nov 2009 20:04:40 +0100

qbittorrent (1.5.5-2) unstable; urgency=low

  * debian/control: adding DM-Upload-Allowed, thanks to my sponsor
    Michal Čihař.

 -- Cristian Greco <cristian@regolo.cc>  Mon, 09 Nov 2009 12:28:01 +0100

qbittorrent (1.5.5-1) unstable; urgency=low

  * New upstream version.

 -- Cristian Greco <cristian@regolo.cc>  Fri, 06 Nov 2009 18:30:46 +0100

qbittorrent (1.5.4-1) unstable; urgency=low

  * New upstream version.
  * debian/control: new maintainer email address.

 -- Cristian Greco <cristian@regolo.cc>  Tue, 27 Oct 2009 19:49:48 +0100

qbittorrent (1.5.3-1) unstable; urgency=low

  * New upstream version.



=== debian/control ===
Source: qbittorrent
Section: net
Priority: optional
Maintainer: Cristian Greco <cristian@regolo.cc>
Build-Depends: debhelper (>= 7.4.12),
               libtorrent-rasterbar-dev (>= 0.14.9),
               libboost-dev,
               libboost-system-dev,
               libboost-filesystem-dev,
               libboost-thread-dev,
               libboost-date-time-dev,
               libqt4-dev (>= 4.4.0)
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/collab-maint/qbittorrent.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/qbittorrent.git
Homepage: http://www.qbittorrent.org/
DM-Upload-Allowed: yes

Package: qbittorrent
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         python (>= 2.5), geoip-database
Description: bittorrent client based on libtorrent-rasterbar with a Qt4 GUI
 BitTorrent client written in C++ and based on libtorrent-rasterbar with a Qt4
 user interface. qBittorrent is a feature rich but lightweight client that is
 very similar to uTorrent. Its main features are:
 .
  * Polished uTorrent-like user interface
  * Well integrated and extensible search engine
  * Remote control through a Web user interface
  * Vuze-compatible protocol encryption
  * uTorrent-compatible Peer eXchange (PeX)
  * DHT (trackerless) support
  * UPnP / NAT-PMP port forwarding
  * IPv6 compliant
  * RSS support with advanced download filters
  * Advanced control over torrent content and trackers
  * IP Filtering (eMule / Peer Guardian filters)
  * Torrents queueing and prioritizing
  * Good localization (~25 languages supported)
  * Unicode support

Package: qbittorrent-nox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: bittorrent client based on libtorrent-rasterbar (without X support)
 BitTorrent client written in C++ and based on libtorrent-rasterbar.
 qBittorrent-nox is a version of qBittorrent (Qt4 application) that does not
 require X and can be controlled via a WebUI, thus is more suitable for headless
 servers. It is a feature rich but lightweight client that is very similar to
 rTorrent. Its main features are:
 .
  * Remote control through a Web user interface
  * Vuze-compatible protocol encryption
  * uTorrent-compatible Peer eXchange (PeX)
  * DHT (trackerless) support
  * UPnP / NAT-PMP port forwarding
  * IPv6 compliant
  * Advanced control over torrent content and trackers
  * IP Filtering (eMule / Peer Guardian filters)
  * Torrents queueing and prioritizing
  * Good localization (~25 languages supported)
  * Unicode support

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	mkdir -p build-nox && cd build-nox && ../configure --prefix=/usr --disable-gui
	mkdir -p build-gui && cd build-gui && ../configure --prefix=/usr

override_dh_auto_build:
	mv -f build-nox/conf.pri . && dh_auto_build --builddirectory build-nox
	mv -f build-gui/conf.pri . && dh_auto_build --builddirectory build-gui

override_dh_auto_install:
	dh_auto_install --builddirectory build-nox --destdir debian/qbittorrent-nox
	dh_auto_install --builddirectory build-gui --destdir debian/qbittorrent

override_dh_install:
	dh_install debian/qbittorrent.xpm usr/share/pixmaps

override_dh_auto_clean:
	dh_auto_clean --builddirectory build-nox
	dh_auto_clean --builddirectory build-gui

## qbittorrent 2.2.11

=== debian/changelog ===
qbittorrent (2.2.11-1) unstable; urgency=low

  * New upstream version.
    - debian/patches: all patches included upstream
      (01_fix_parameter_parsing, 02_fix_crash_alternative_limits).
  * debian/{control,rules}: new qbittorrent-dbg package.

 -- Cristian Greco <cristian@regolo.cc>  Sat, 24 Jul 2010 22:09:25 +0200

qbittorrent (2.2.10-2) unstable; urgency=low

  * 02_fix_crash_alternative_limits.patch, new patch: fix possible crash
    when using alternative speed limits (upstream r4186).
  * debian/copyright: stop referring to BSD license file, fix copyright-
    refers-to-deprecated-bsd-license-file for policy 3.9.0.
  * debian/control: bump Standards-Version to 3.9.0.
  * debian/rules: pass --parallel to dh to enable parallel build
    support.

 -- Cristian Greco <cristian@regolo.cc>  Thu, 01 Jul 2010 18:33:52 +0200

qbittorrent (2.2.10-1) unstable; urgency=low

  * New upstream version.
  * debian/patches:
    - 01_fix_nox_webui.patch, drop patch: included upstream.
    - 01_fix_parameter_parsing.patch, new patch: fix parsing of arguments
      including spaces (stolen from upstream r4178).

 -- Cristian Greco <cristian@regolo.cc>  Thu, 24 Jun 2010 21:23:26 +0200

qbittorrent (2.2.9-2) unstable; urgency=low

  * 01_fix_nox_webui.patch: new patch, fix non-working WebUI in
    qbittorrent-nox.

 -- Cristian Greco <cristian@regolo.cc>  Fri, 18 Jun 2010 17:26:45 +0200

qbittorrent (2.2.9-1) unstable; urgency=low

  * New upstream version.
    - debian/copyright: update information about new src/qtsingleapp/* files.

 -- Cristian Greco <cristian@regolo.cc>  Tue, 15 Jun 2010 15:44:24 +0200

qbittorrent (2.2.7-1) unstable; urgency=low

  * New upstream version.
    - debian/copyright: updated with details about croatian translation.

 -- Cristian Greco <cristian@regolo.cc>  Thu, 13 May 2010 23:05:50 +0200

qbittorrent (2.2.6-1) unstable; urgency=low

  * New upstream version.
  * debian/patches/r3826_drop_nox_boost_deps.patch: drop patch, fixed
    upstream.
  * debian/copyright: updated with arabic translation.

 -- Cristian Greco <cristian@regolo.cc>  Tue, 20 Apr 2010 20:28:33 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libboost-thread-dev,
                libboost-date-time-dev,
                libqt4-dev (>= 4.4.0)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 Vcs-Git: git://git.debian.org/git/collab-maint/qbittorrent.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/qbittorrent.git
 Homepage: http://www.qbittorrent.org/
@@ -20,6 +20,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
          python (>= 2.5), geoip-database
+Suggests: qbittorrent-dbg
 Description: bittorrent client based on libtorrent-rasterbar with a Qt4 GUI
  BitTorrent client written in C++ and based on libtorrent-rasterbar with a Qt4
  user interface. qBittorrent is a feature rich but lightweight client that is
@@ -43,6 +44,7 @@
 Package: qbittorrent-nox
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Suggests: qbittorrent-dbg
 Description: bittorrent client based on libtorrent-rasterbar (without X support)
  BitTorrent client written in C++ and based on libtorrent-rasterbar.
  qBittorrent-nox is a version of qBittorrent (Qt4 application) that does not
@@ -61,3 +63,16 @@
   * Torrents queueing and prioritizing
   * Good localization (~25 languages supported)
   * Unicode support
+
+Package: qbittorrent-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends: qbittorrent (= ${binary:Version}) | qbittorrent-nox (= ${binary:Version}), ${misc:Depends}
+Description: debug symbols for qbittorrent and qbittorrent-nox
+ BitTorrent client written in C++ and based on libtorrent-rasterbar with a Qt4
+ user interface. qBittorrent is a feature rich but lightweight client that is
+ very similar to uTorrent.
+ .
+ This package contains the debugging symbols for qbittorrent and
+ qbittorrent-nox.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_auto_configure:
 	mkdir -p build-nox && cd build-nox && ../configure --prefix=/usr --disable-gui
@@ -12,6 +12,8 @@
 	mv -f build-gui/conf.pri . && dh_auto_build --builddirectory build-gui
 
 override_dh_auto_install:
+	sed -i '/STRIP/d' build-nox/src/Makefile
+	sed -i '/STRIP/d' build-gui/src/Makefile
 	dh_auto_install --builddirectory build-nox --destdir debian/qbittorrent-nox
 	dh_auto_install --builddirectory build-gui --destdir debian/qbittorrent
 
@@ -21,3 +23,6 @@
 override_dh_auto_clean:
 	dh_auto_clean --builddirectory build-nox
 	dh_auto_clean --builddirectory build-gui
+
+override_dh_strip:
+	dh_strip -a --dbg-package=qbittorrent-dbg

=== debian/watch ===
version=3

#unstable: follow stable and rc releases
opts="uversionmangle=s/rc/~rc/" \
  http://sf.net/qbittorrent/qbittorrent-([\d\.]*(?:rc\d)?)\.tar\.gz

#experimental: follow stable, rc and beta releases
#opts="uversionmangle=s/(rc|beta)/~$1/" \
#  http://sf.net/qbittorrent/qbittorrent-([\d\.]*(?:(?:rc|beta)\d)?)\.tar\.gz

## qbittorrent 2.4.3

=== debian/changelog ===
qbittorrent (2.4.3-0ubuntu1) maverick; urgency=low

  * New upstream bug fix release.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Thu, 30 Sep 2010 16:31:55 -0400

qbittorrent (2.4.0-0ubuntu1) maverick; urgency=low

  * New upstream release. (LP: #625049)
  * debian/copyright: Update copyright info.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Fri, 27 Aug 2010 20:22:33 -0400

qbittorrent (2.3.1-0ubuntu1) maverick; urgency=low

  * New upstream bugfix release.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Fri, 20 Aug 2010 01:33:48 -0400

qbittorrent (2.3.0-0ubuntu2) maverick; urgency=low

  * Really rebuild against libtorrent-rasterbar6. (LP: #616040)

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Fri, 13 Aug 2010 13:32:29 -0400

qbittorrent (2.3.0-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * Rebuild for libtorrent-rasterbar soname bump. 

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Tue, 10 Aug 2010 14:12:07 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qbittorrent
 Section: net
 Priority: optional
-Maintainer: Cristian Greco <cristian@regolo.cc>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Cristian Greco <cristian@regolo.cc>
 Build-Depends: debhelper (>= 7.4.12),
                libtorrent-rasterbar-dev (>= 0.14.9),
                libboost-dev,

## qbittorrent 2.6.9

=== debian/changelog ===
qbittorrent (2.6.9-2) experimental; urgency=low

  * debian/qbittorrent.mime: new file to provide MIME information.

 -- Cristian Greco <cristian@regolo.cc>  Mon, 14 Mar 2011 19:31:02 +0100

qbittorrent (2.6.9-1) experimental; urgency=low

  * New upstream version.

 -- Cristian Greco <cristian@regolo.cc>  Mon, 14 Mar 2011 18:14:49 +0100

qbittorrent (2.6.7-1) experimental; urgency=low

  * New upstream version.

 -- Cristian Greco <cristian@regolo.cc>  Sat, 26 Feb 2011 17:48:09 +0100

qbittorrent (2.6.6-1) experimental; urgency=low

  * New upstream version.
    - debian/copyright: added Lithuanian translator.

 -- Cristian Greco <cristian@regolo.cc>  Wed, 09 Feb 2011 00:46:31 +0100

qbittorrent (2.6.5-1) experimental; urgency=low

  * New upstream version.
    - debian/copyright: new Norwegian translator.

 -- Cristian Greco <cristian@regolo.cc>  Thu, 03 Feb 2011 19:54:04 +0100

qbittorrent (2.6.4-1) experimental; urgency=low

  * New upstream version.
    - debian/control: drop unneeded build-dep on libboost-thread-dev.

 -- Cristian Greco <cristian@regolo.cc>  Sun, 23 Jan 2011 12:08:58 +0100

qbittorrent (2.6.3-1) experimental; urgency=low

  * New upstream version.

 -- Cristian Greco <cristian@regolo.cc>  Mon, 17 Jan 2011 18:33:33 +0100

qbittorrent (2.6.2-1) experimental; urgency=low

  * New upstream version.
    - debian/copyright: update to reflect upstream changes
      (new translations).

 -- Cristian Greco <cristian@regolo.cc>  Wed, 12 Jan 2011 19:10:15 +0100

qbittorrent (2.5.3-1) experimental; urgency=low

  * New upstream version.

 -- Cristian Greco <cristian@regolo.cc>  Sat, 01 Jan 2011 16:19:44 +0100

qbittorrent (2.5.2-1) experimental; urgency=low

  * New upstream version.
    - Upload to experimental.
    - debian/copyright: updated to reflect upstream changes.
  * debian/control:
    - bump up build-dep on libqt4-dev to (>= 4.5.0).
    - bump up build-dep on libtorrent-rasterbar-dev to (>= 0.15.4).

 -- Cristian Greco <cristian@regolo.cc>  Fri, 24 Dec 2010 20:16:29 +0100

qbittorrent (2.4.11-1) unstable; urgency=low

  * New upstream version.

 -- Cristian Greco <cristian@regolo.cc>  Sun, 21 Nov 2010 23:48:14 +0100

qbittorrent (2.4.10-1) unstable; urgency=low

  * New upstream version.

 -- Cristian Greco <cristian@regolo.cc>  Fri, 12 Nov 2010 11:00:35 +0100

qbittorrent (2.4.9-1) unstable; urgency=low

  * New upstream version.
    - debian/copyright: updated to reflect upstream changes.

 -- Cristian Greco <cristian@regolo.cc>  Sun, 31 Oct 2010 23:12:02 +0100

qbittorrent (2.4.8-1) unstable; urgency=low

  * New upstream version.

 -- Cristian Greco <cristian@regolo.cc>  Mon, 25 Oct 2010 16:21:05 +0200

qbittorrent (2.4.7-1) unstable; urgency=low

  * New upstream version.

 -- Cristian Greco <cristian@regolo.cc>  Thu, 21 Oct 2010 14:48:35 +0200

qbittorrent (2.4.6-1) unstable; urgency=low

  * New upstream version.

 -- Cristian Greco <cristian@regolo.cc>  Mon, 18 Oct 2010 02:55:43 +0200

qbittorrent (2.4.5-1) unstable; urgency=low

  * New upstream version.

 -- Cristian Greco <cristian@regolo.cc>  Tue, 12 Oct 2010 20:02:04 +0200

qbittorrent (2.4.4-1) unstable; urgency=low

  * New upstream version.

 -- Cristian Greco <cristian@regolo.cc>  Tue, 05 Oct 2010 10:01:14 +0200

qbittorrent (2.4.3-1) unstable; urgency=low

  * New upstream version.
    - debian/copyright: add entries about some new files.
  * debian/control: bump up Standards-Version to 3.9.1 (no changes).
  * debian/NEWS: provide information about an incompatible change to user
    config files introduced in 2.3.0.

 -- Cristian Greco <cristian@regolo.cc>  Thu, 30 Sep 2010 16:13:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: qbittorrent
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Cristian Greco <cristian@regolo.cc>
+Maintainer: Cristian Greco <cristian@regolo.cc>
 Build-Depends: debhelper (>= 7.4.12),
-               libtorrent-rasterbar-dev (>= 0.14.9),
+               libtorrent-rasterbar-dev (>= 0.15.4),
                libboost-dev,
                libboost-system-dev,
                libboost-filesystem-dev,
-               libboost-thread-dev,
                libboost-date-time-dev,
-               libqt4-dev (>= 4.4.0)
-Standards-Version: 3.9.0
+               libqt4-dev (>= 4.5.0)
+Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/git/collab-maint/qbittorrent.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/qbittorrent.git
 Homepage: http://www.qbittorrent.org/

## qbittorrent 2.8.4

=== debian/changelog ===
qbittorrent (2.8.4-1) unstable; urgency=low

  * New upstream version.
  * debian/control:
    - use my @debian.org address.
    - drop DMUA field.

 -- Cristian Greco <cristian@debian.org>  Sat, 20 Aug 2011 00:07:27 +0200

qbittorrent (2.8.2-1) unstable; urgency=low

  * New upstream version.

 -- Cristian Greco <cristian@regolo.cc>  Wed, 22 Jun 2011 08:17:54 +0200

qbittorrent (2.8.1-1) unstable; urgency=low

  * New upstream version.
    - debian/copyright: japanase translator and other updates.

 -- Cristian Greco <cristian@regolo.cc>  Sun, 05 Jun 2011 17:19:10 +0200

qbittorrent (2.7.3-1) unstable; urgency=low

  * New upstream version.
    - debian/copyright: updated with a notice about the btdigg search engine.
  * debian/control: bump up Standards-Version to 3.9.2.
  * Upload to unstable.

 -- Cristian Greco <cristian@regolo.cc>  Wed, 11 May 2011 14:18:07 +0200

qbittorrent (2.7.2-1) experimental; urgency=low

  * New upstream version.
    - debian/copyright: updated.

 -- Cristian Greco <cristian@regolo.cc>  Wed, 06 Apr 2011 12:10:29 +0200

qbittorrent (2.7.0-1) experimental; urgency=low

  * New upstream version.
   - debian/copyright: updated to reflect changes.

 -- Cristian Greco <cristian@regolo.cc>  Sun, 20 Mar 2011 15:31:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: qbittorrent
 Section: net
 Priority: optional
-Maintainer: Cristian Greco <cristian@regolo.cc>
+Maintainer: Cristian Greco <cristian@debian.org>
 Build-Depends: debhelper (>= 7.4.12),
                libtorrent-rasterbar-dev (>= 0.15.4),
                libboost-dev,
@@ -9,11 +9,10 @@
                libboost-filesystem-dev,
                libboost-date-time-dev,
                libqt4-dev (>= 4.5.0)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/collab-maint/qbittorrent.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/qbittorrent.git
 Homepage: http://www.qbittorrent.org/
-DM-Upload-Allowed: yes
 
 Package: qbittorrent
 Architecture: any

## qbittorrent 2.9.2

=== debian/changelog ===
qbittorrent (2.9.2-1) unstable; urgency=low

  * New upstream version.
    - debian/control: drop explicit build-dep on libboost-date-time-dev.

 -- Cristian Greco <cristian@debian.org>  Sun, 30 Oct 2011 11:23:10 +0100

qbittorrent (2.9.0-1) unstable; urgency=low

  * New upstream version.

 -- Cristian Greco <cristian@debian.org>  Sat, 08 Oct 2011 17:29:45 +0200

qbittorrent (2.8.5-1) unstable; urgency=low

  * New upstream version.

 -- Cristian Greco <cristian@debian.org>  Sun, 25 Sep 2011 18:58:20 +0200

## qbittorrent 2.9.3

=== debian/changelog ===
qbittorrent (2.9.3-1) unstable; urgency=low

  * New upstream version.
    - debian/copyright: add info about Georgian translation.

 -- Cristian Greco <cristian@debian.org>  Mon, 02 Jan 2012 12:26:54 +0100

## qbittorrent 2.9.5

=== debian/changelog ===
qbittorrent (2.9.5-1) unstable; urgency=low

  * New upstream version.
    - debian/copyright: add info about Belarusian translation.

 -- Cristian Greco <cristian@debian.org>  Mon, 20 Feb 2012 22:06:17 +0100

## qbittorrent 2.9.7

=== debian/changelog ===
qbittorrent (2.9.7-1) unstable; urgency=low

  * New upstream version.
    - debian/copyright: add info about Basque translation.
  * debian/watch: track .xz tarballs.

 -- Cristian Greco <cristian@debian.org>  Wed, 21 Mar 2012 21:15:43 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
                libboost-dev,
                libboost-system-dev,
                libboost-filesystem-dev,
-               libboost-date-time-dev,
                libqt4-dev (>= 4.5.0)
 Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/collab-maint/qbittorrent.git

## qbittorrent 2.9.8

=== debian/changelog ===
qbittorrent (2.9.8-1) unstable; urgency=low

  * New upstream version.
    - fix ftbfs with gcc 4.7 (Closes: #667338).
  * debian/control: update Standards-Version to 3.9.3.
  * honor-buildflags.patch: new patch, let the build system honor
    external flags.
  * debian/rules: enable hardened buildflags (Closes: #671580).


 -- Cristian Greco <cristian@debian.org>  Sat, 05 May 2012 16:29:43 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: optional
 Maintainer: Cristian Greco <cristian@debian.org>
 Build-Depends: debhelper (>= 7.4.12),
+               dpkg-dev (>= 1.16.1),
                libtorrent-rasterbar-dev (>= 0.15.4),
                libboost-dev,
                libboost-system-dev,
                libboost-filesystem-dev,
                libqt4-dev (>= 4.5.0)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/collab-maint/qbittorrent.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/qbittorrent.git
 Homepage: http://www.qbittorrent.org/

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,8 @@
 #!/usr/bin/make -f
+
+DPKG_EXPORT_BUILDFLAGS = 1
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+include /usr/share/dpkg/buildflags.mk
 
 %:
 	dh $@ --parallel

## qbittorrent 3.0.5

=== debian/changelog ===
qbittorrent (3.0.5-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Fri, 05 Oct 2012 20:13:06 -0400

qbittorrent (3.0.0-0ubuntu1) quantal; urgency=low

  * New upstream release.
  * debian/control: Bump versionized build dependency on
    libqt4-dev to >= 4.6.0.
  * debian/rules: Don't move conf.pri before building.
    Fixes FTBFS.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Fri, 10 Aug 2012 17:04:49 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: qbittorrent
 Section: net
 Priority: optional
-Maintainer: Cristian Greco <cristian@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Cristian Greco <cristian@debian.org>
 Build-Depends: debhelper (>= 7.4.12),
                dpkg-dev (>= 1.16.1),
                libtorrent-rasterbar-dev (>= 0.15.4),
                libboost-dev,
                libboost-system-dev,
                libboost-filesystem-dev,
-               libqt4-dev (>= 4.5.0)
+               libqt4-dev (>= 4.6.0)
 Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/collab-maint/qbittorrent.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/qbittorrent.git

## qbittorrent 3.0.8

=== debian/changelog ===
qbittorrent (3.0.8-0ubuntu1) raring; urgency=low

  * New upstream release.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Fri, 08 Feb 2013 10:28:45 -0500

=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,8 @@
 	mkdir -p build-gui && cd build-gui && ../configure --prefix=/usr
 
 override_dh_auto_build:
-	mv -f build-nox/conf.pri . && dh_auto_build --builddirectory build-nox
-	mv -f build-gui/conf.pri . && dh_auto_build --builddirectory build-gui
+	dh_auto_build --builddirectory build-nox
+	dh_auto_build --builddirectory build-gui
 
 override_dh_auto_install:
 	sed -i '/STRIP/d' build-nox/src/Makefile

## qbittorrent 3.0.9

=== debian/changelog ===
qbittorrent (3.0.9-0ubuntu1) raring; urgency=low

  * New upstream bugfix release.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sun, 24 Mar 2013 11:42:39 -0400

## qbittorrent 3.0.11

=== debian/changelog ===
qbittorrent (3.0.11-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release. 
  * Explicitly pass path to --with-libboost-lib in order
    to fix FTBFS with multiarched libboost.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sat, 28 Sep 2013 21:44:48 -0400

qbittorrent (3.0.9-0ubuntu2) saucy; urgency=low

  * No change rebuild for Boost 1.53 transition.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 28 May 2013 11:30:45 +0100

## qbittorrent 3.1.8

=== debian/changelog ===
qbittorrent (3.1.8-2) unstable; urgency=medium

  * Explicitly pass path to --with-libboost-lib in order
    to fix FTBFS with multiarched libboost on some arches.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Thu, 27 Feb 2014 13:18:23 -0500

qbittorrent (3.1.8-1) unstable; urgency=medium

  * New upstream release (Closes: #740212).
  * Add myself to the Uploaders field.
  * Bump Standards-Version to 3.9.5, no changes needed. 
  * Backport upstream commit fixing nox build.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Thu, 27 Feb 2014 10:57:15 -0500

qbittorrent (3.1.3-1) unstable; urgency=low

  * New upstream version.

 -- Cristian Greco <cristian@debian.org>  Sat, 30 Nov 2013 15:31:48 +0100

qbittorrent (3.1.0-1) unstable; urgency=low

  * New upstream version (Closes: #699732).
    - Upload to unstable.
  * debian/control: switch to boost1.54 and drop build-dep on boost-thread
    (Closes: #715159, #713500).

 -- Cristian Greco <cristian@debian.org>  Thu, 17 Oct 2013 19:59:33 +0200

qbittorrent (3.0.9-1) experimental; urgency=low

  * New upstream version.
  * Upload to experimental.
  * debian/copyright: updated translator names.
  * debian/control:
    - bump build-dep on libqt4-dev to >= 4.6.0.
    - force explicit build-dep on boost1.53.

 -- Cristian Greco <cristian@debian.org>  Sat, 22 Jun 2013 19:40:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,16 @@
 Source: qbittorrent
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Cristian Greco <cristian@debian.org>
+Maintainer: Cristian Greco <cristian@debian.org>
+Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
 Build-Depends: debhelper (>= 7.4.12),
                dpkg-dev (>= 1.16.1),
                libtorrent-rasterbar-dev (>= 0.15.4),
-               libboost-dev,
-               libboost-system-dev,
-               libboost-filesystem-dev,
+               libboost1.54-dev | libboost-dev,
                libqt4-dev (>= 4.6.0)
-Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/git/collab-maint/qbittorrent.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/qbittorrent.git
+Standards-Version: 3.9.5
+Vcs-Git: git://anonscm.debian.org/collab-maint/qbittorrent.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/qbittorrent.git
 Homepage: http://www.qbittorrent.org/
 
 Package: qbittorrent

## qbittorrent 3.1.9.2

=== debian/changelog ===
qbittorrent (3.1.9.2-1ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Build against boost1.55.

 -- Artur Rona <ari-tczew@ubuntu.com>  Tue, 10 Jun 2014 20:50:02 +0200

qbittorrent (3.1.9.2-1) unstable; urgency=medium

  * New upstream release (Closes: #744903, #750238).
  * Drop fix-nox-build.patch, applied upstream.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sat, 07 Jun 2014 16:53:52 -0400

qbittorrent (3.1.8-2ubuntu1) utopic; urgency=high

  * Rebuild against boost1.55

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 03 May 2014 08:22:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: qbittorrent
 Section: net
 Priority: optional
-Maintainer: Cristian Greco <cristian@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Cristian Greco <cristian@debian.org>
 Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
 Build-Depends: debhelper (>= 7.4.12),
                dpkg-dev (>= 1.16.1),
                libtorrent-rasterbar-dev (>= 0.15.4),
-               libboost1.54-dev | libboost-dev,
+               libboost1.55-dev | libboost-dev,
                libqt4-dev (>= 4.6.0)
 Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/collab-maint/qbittorrent.git

## qbittorrent 3.1.10

=== debian/changelog ===
qbittorrent (3.1.10-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports:
    - debian/control: force use of libtorrent-rasterbar >= 0.16.18 from
      wheezy-backports to improve stability.

 -- Bruno Zanetti <bzanetti00@gmail.com>  Wed, 20 May 2015 22:41:26 +0200

qbittorrent (3.1.10-1) unstable; urgency=medium

  * New upstream release.

 -- Cristian Greco <cristian@debian.org>  Fri, 26 Sep 2014 20:50:30 +0200

qbittorrent (3.1.9.2-2) unstable; urgency=medium

  * debian/control: switch to unversioned build-depends for boost libraries.
    (Closes: #759392)

 -- Cristian Greco <cristian@debian.org>  Tue, 09 Sep 2014 22:28:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: qbittorrent
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Cristian Greco <cristian@debian.org>
-Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
+Maintainer: Cristian Greco <cristian@debian.org>
+Uploaders: Andrew Starr-Bochicchio <asb@debian.org>, Bruno Zanetti <bzanetti00@gmail.com>
 Build-Depends: debhelper (>= 7.4.12),
                dpkg-dev (>= 1.16.1),
-               libtorrent-rasterbar-dev (>= 0.15.4),
-               libboost1.55-dev | libboost-dev,
+               libtorrent-rasterbar-dev (>= 0.16.18),
+               libboost-dev,
                libqt4-dev (>= 4.6.0)
 Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/collab-maint/qbittorrent.git

## qbittorrent 3.1.11

=== debian/changelog ===
qbittorrent (3.1.11-1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1457057)

 -- Micah Gersten <micahg@ubuntu.com>  Wed, 20 May 2015 09:27:42 -0500

qbittorrent (3.1.11-1) unstable; urgency=medium

  * New upstream release.

 -- Cristian Greco <cristian@debian.org>  Mon, 27 Oct 2014 20:06:46 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: net
 Priority: optional
 Maintainer: Cristian Greco <cristian@debian.org>
-Uploaders: Andrew Starr-Bochicchio <asb@debian.org>, Bruno Zanetti <bzanetti00@gmail.com>
+Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
 Build-Depends: debhelper (>= 7.4.12),
                dpkg-dev (>= 1.16.1),
-               libtorrent-rasterbar-dev (>= 0.16.18),
+               libtorrent-rasterbar-dev (>= 0.15.4),
                libboost-dev,
                libqt4-dev (>= 4.6.0)
 Standards-Version: 3.9.5

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,10 @@
 	dh $@ --parallel
 
 override_dh_auto_configure:
-	mkdir -p build-nox && cd build-nox && ../configure --prefix=/usr --disable-gui
-	mkdir -p build-gui && cd build-gui && ../configure --prefix=/usr
+	mkdir -p build-nox && cd build-nox && ../configure --prefix=/usr --disable-gui \
+		--with-libboost-lib=/usr/lib/$(DEB_HOST_MULTIARCH)
+	mkdir -p build-gui && cd build-gui && ../configure --prefix=/usr \
+		--with-libboost-lib=/usr/lib/$(DEB_HOST_MULTIARCH)
 
 override_dh_auto_build:
 	dh_auto_build --builddirectory build-nox

## qbittorrent 3.2.3

=== debian/changelog ===
qbittorrent (3.2.3-2) unstable; urgency=medium

  * debian/rules: Pass --with-boost-libdir to configure to fix build
    on armhf and armel (Closes: #797523).

 -- Andrew Starr-Bochicchio <asb@debian.org>  Tue, 01 Sep 2015 00:33:37 -0400

qbittorrent (3.2.3-1) unstable; urgency=medium

  * New upstream release.
  * Add linitan-overrid for source-is-missing excanvas-compressed.js,
    the file is not minified.
  * Provide source for compressed mootools javascript lib in
    debian/missing-sources
  * Bump Standards-Version to 3.9.6, no changes.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sat, 29 Aug 2015 16:47:22 -0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                libtorrent-rasterbar-dev (>= 0.15.4),
                libboost-dev,
                libqt4-dev (>= 4.6.0)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/qbittorrent.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/qbittorrent.git
 Homepage: http://www.qbittorrent.org/

=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,9 @@
 
 override_dh_auto_configure:
 	mkdir -p build-nox && cd build-nox && ../configure --prefix=/usr --disable-gui \
-		--with-libboost-lib=/usr/lib/$(DEB_HOST_MULTIARCH)
+		--with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
 	mkdir -p build-gui && cd build-gui && ../configure --prefix=/usr \
-		--with-libboost-lib=/usr/lib/$(DEB_HOST_MULTIARCH)
+		--with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
 
 override_dh_auto_build:
 	dh_auto_build --builddirectory build-nox

## qbittorrent 3.3.1

=== debian/changelog ===
qbittorrent (3.3.1-1) unstable; urgency=medium

  * New upstream release (Closes: #808442).
  * Qt 5 is now the default. Add build dependencies on
    qtbase5-dev and qttools5-dev-tools.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sat, 26 Dec 2015 16:34:34 -0500

qbittorrent (3.2.5-1) unstable; urgency=medium

  * New upstream release (Closes: #806374).
  * Drop menu file per the tech-ctte decision on #741573.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Fri, 27 Nov 2015 14:53:07 -0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
                dpkg-dev (>= 1.16.1),
                libtorrent-rasterbar-dev (>= 0.15.4),
                libboost-dev,
-               libqt4-dev (>= 4.6.0)
+               qtbase5-dev (>= 5.2.0),
+               qttools5-dev-tools
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/qbittorrent.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/qbittorrent.git

=== debian/rules ===
--- 
+++ 
@@ -23,9 +23,6 @@
 	dh_auto_install --builddirectory build-nox --destdir debian/qbittorrent-nox
 	dh_auto_install --builddirectory build-gui --destdir debian/qbittorrent
 
-override_dh_install:
-	dh_install debian/qbittorrent.xpm usr/share/pixmaps
-
 override_dh_auto_clean:
 	dh_auto_clean --builddirectory build-nox
 	dh_auto_clean --builddirectory build-gui

## qbittorrent 3.3.6

=== debian/changelog ===
qbittorrent (3.3.6-1build1) yakkety; urgency=medium

  * No-change rebuild against libtorrent-rasterbar9

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 04 Oct 2016 05:44:32 +0000

qbittorrent (3.3.6-1) unstable; urgency=medium

  * New upstream release (Closes: #831113).
  * Bump Standards-Version to 3.9.8, no changes.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Mon, 08 Aug 2016 22:53:15 -0400

qbittorrent (3.3.4-1) unstable; urgency=medium

  * New upstream release. 
  * debian/patches/kfreebsd-detection.patch:
   - Fix build on kfreebsd by correcting build host
     detection. Thanks to Steven Chamberlain (Closes: #815371).
  * Add linitan-override for source-is-missing mocha-init.js,
    the file is not minified.
  * Provide source for compressed mootools-more javascript lib
    in debian/missing-sources dir.
  * Bump Standards-Version to 3.9.7, no changes.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Wed, 04 May 2016 22:37:11 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qbittorrent
 Section: net
 Priority: optional
-Maintainer: Cristian Greco <cristian@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Cristian Greco <cristian@debian.org>
 Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
 Build-Depends: debhelper (>= 7.4.12),
                dpkg-dev (>= 1.16.1),
@@ -9,7 +10,7 @@
                libboost-dev,
                qtbase5-dev (>= 5.2.0),
                qttools5-dev-tools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Git: git://anonscm.debian.org/collab-maint/qbittorrent.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/qbittorrent.git
 Homepage: http://www.qbittorrent.org/
